import request from "@/utils/request";
import {host} from "@/config/host";

/**
 * 获取地址列表
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function getAddressList(data){
    return request({
        url:`${host}/user/address-list`,
        method: 'post',
        data:data
    });
}

/**
 * 删除地址
 * @param ids
 * @returns {Promise | Promise<unknown>}
 */
export function delAddress(ids){
    return request({
        url:`${host}/user/address-del`,
        method: 'post',
        data:{
            ids
        }
    });
}

/**
 * 获取地址详情
 * @param id
 * @returns {Promise | Promise<unknown>}
 */
export function getDetail(id){
    return request({
        url:`${host}/user/address-info`,
        method:"post",
        data:{
            id
        }
    });
}

/**
 * 更新地址信息
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function saveAddress(data){
    return request({
        url:`${host}/user/address-upinfo`,
        method:'post',
        data:data
    })
}

