import request from "@/utils/request";
import {host} from "@/config/host";

/**
 * 聊天列表
 * @param page
 * @returns {Promise<unknown>}
 */
export function chatList(page, is_worker){
    return request({
        url:`${host}/user/chat-list`,
        method:'post',
        data:{
            page: page,
            limit: 10,
            is_worker: is_worker
        }
    })
}

/**
 * 获取聊天token
 * @param order_service_id 订单ID
 * @param user_sign 用户类型：1 用户， 2 服务人员
 * @returns {Promise | Promise<unknown>}
 */
export function getToken(order_service_id, user_sign){
    return request({
        url:'/user/chat-token',
        method:"post",
        data:{
            order_service_id:order_service_id,
            type:user_sign
        }
    })
}

/**
 * 获取客服聊天token
 * @param chat_id 订单ID
 * @returns {Promise | Promise<unknown>}
 */
export function waitToken(chat_id ){
    return request({
        url:'/user/regionChat-token',
        method:"post",
        data:{
            chat_id :chat_id ,
        }
    })
}