import request from "@/utils/request";
import {host} from "@/config/host";

/**
 * 权益卡订单
 * @param card_id
 * @returns {Promise | Promise<unknown>}
 */
export function cardOrder(data)
{
    return request({
        url:`${host}/order/create-cardorder`,
        method: 'post',
        data:data
    })
}

/**
 * 订单列表
 * @param data
 * @returns {Promise<unknown>}
 */
export function getOrderList(data = {
    "page": 1,
    "limit": 110,
    "is_worker": 0,
    "status": 0,
    "start_time": "",
    "end_time": ""
}){
    return request({
        url:"pet/order-list",
        method: 'post',
        data:data
    })
}

/**
 * 匹配宠物店铺服务
 * @param data
 * @returns {Promise<unknown>}
 */
export function getStoreService(data = {
    "address_id":""
}){
    return request({
        url:"order/store-service",
        method: 'post',
        data:data
    })
}

/**
 * 获取价格
 * @param data
 * @returns {Promise<unknown>}
 */
export function getOrderPrice(data = {
    "address_id":""
}){
    return request({
        url:"order/get-petorderprice",
        method: 'post',
        data:data
    })
}
/**
 * 创建订单
 * @param data
 * @returns {Promise<unknown>}
 */
export function createOrderPrice(data = {
    "address_id":""
}){
    return request({
        url:"order/create-petorder",
        method: 'post',
        data:data
    })
}
/**
 * 订单详情
 * @param id
 * @returns {Promise<unknown>}
 */
export function orderDetail(id){
    return request({
        url:"pet/order-info",
        method: 'post',
        data:{
            order_service_id:id
        }
    })
}
/**
 * 订单详情
 * @param id
 * @returns {Promise<unknown>}
 */
export function orderDone(id,images){
    return request({
        url:"order/order-complete",
        method: 'post',
        data:{
            order_service_id:id,
            images:id,
        }
    })
}
/**
 * 订单服务详情
 * @param id
 * @returns {Promise<unknown>}
 */
export function orderServiceInfo(id){
    return request({
        url:"order/getServiceDate",
        method: 'get',
        data:{
            order_service_id:id,
        }
    })
}
/**
 * 开始服务
 */
export function orderStart(data){
    return request({
        url:"order/start-service",
        method: 'post',
        data:data
    })
}
/**
 * 结束服务
 */
export function orderEnd(data){
    return request({
        url:"order/end-service",
        method: 'post',
        data:data
    })
}
/**
 * 保存订单信息
 */
export function orderSave(data){
    return request({
        url:"order/save",
        method: 'post',
        data:data
    })
}
/**
 * 获取订单信息
 */
export function orderGet(data){
    return request({
        url:"order/getsave",
        method: 'get',
        data:data
    })
}