import request from "@/utils/request";
import {host} from "@/config/host";

/**
 * 阿里云文件上传STS
 * @param {Object} data
 */
export function getSTS(data) {

    return request({
        url: `/get-aliyun-sts`,
        method: "get",
        data
    });
}

/**
 * 获取配置
 * @param sign
 * @returns {Promise | Promise<unknown>}
 */
export function getConfig(sign){
    return request({
        url:`/get-config`,
        data:{
            sign:sign
        }
    })
}

/**
 * 意见范库
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function feedback(data){
    return request({
        url:`/user/user-feed`,
        method: "post",
        data:data
    })
}

/**
 * 抢单
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function seizeChat(data){
    return request({
        url:`/user/seize-chat`,
        method: "post",
        data:data
    })
}
/**
 * 按钮未读信息统计
 * 1=用户，2=宠托师，3=客服
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function allChatCount(data){
    return request({
        url:`/user/all-chat-count`,
        method: "get",
        data:data
    })
}

export function allBadgeCount(data){
    return request({
        url:`/user/all-chat-count`,
        method: "get",
        data:data
    })
}

/**
 * 待服务订单统计
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function waitOrderCount(data){
    return request({
        url:`/order/wait-order-count`,
        method: "get",
        data:data
    })
}

/**
 * 首页banner
 * @param data
 * @returns {Promise | Promise<unknown>}
 */
export function banner(data){
    return request({
        url:`/get-banner`,
        method: "get",
        data:data
    })
}