import UserCache from "@/config/UserCache";

/**
 * 当前环境
 * @type {string}
 */
export const ENV = 'dev';

/**
 * 打开日志打印
 * @type {boolean}
 */
export const OPEN_LOG = true;

export {UserCache}

/**
 * 首页路径
 * @type {string}
 */
export const INDEX_PATH = '/pages/Index/index';

/**
 * 登录页路径
 * @type {string}
 */
export const LOGIN_PATH = '/pages/Login/index';

/**
 * token字段
 * @type {string}
 */
export const TOKEN_FIELD = 'token';

/**
 * 用户信息字段
 * @type {string}
 */
export const USERINFO_FIELD = '';


/**
 * 其他信息字段
 * @type {string}
 */
export const OTHER_FIELD = '';

/**
 * 页面信息字段
 * @type {string}
 */
export const PAGEINFO_FIELD = 'page_info';

/**
 * 列表分页数量
 * @type {string}
 */
export const LIMIT = '10';

/**
 * 默认列表请求数据
 * @type {string}
 */
export const DEFAULT_LIST_PAGE = {
    page: 1,
    limit: LIMIT,
};

/**
 * 默认列表请求数据
 * @type {string}
 */
export const UPLOAD_PATH = '/common/upload';

/**
 * 列表分页数量名称
 * @type {string}
 */
export const LIMIT_FIELD = 'limit';
