// #ifdef MP-WEIXIN
import log from "../../../utils/log";

const QQMapWX = require('./qqmap-wx-jssdk.min.js');
import * as QQMapwx from './/qqmap-wx-jssdk.min.js';

var qqMapSdk;

// #endif

// import {getSTS} from "@/api/other";

import {imgHost, host, oss} from '@/config/host.js'
import {
    INDEX_PATH,
    LOGIN_PATH,
    OTHER_FIELD,
    PAGEINFO_FIELD,
    TOKEN_FIELD,
    UPLOAD_PATH,
    USERINFO_FIELD
} from '@/config/config.js'
import store from "@/store";
import {LIMIT_FIELD} from "../../../config/config";
// import store from "@/store";
// const store = useStore();
export default {
    loginModalState: true,
    mapLocation: () => {

        return new Promise((relove, reject) => {

            wx.authorize({
                scope: 'scope.userFuzzyLocation',
                success(res) {
                    if (res.errMsg == 'authorize:ok') {
                        wx.getFuzzyLocation({
                            type: 'wgs84',
                            success(re) {
                                console.log(re);
                                uni.chooseLocation({
                                    latitude: re.latitude,
                                    longitude: re.longitude,
                                    success: function (data) {
                                        console.log(data);
                                        let obj = {
                                            latitude: data.latitude,
                                            longitude: data.longitude,
                                            address: data.address
                                        }
                                        if (data.errMsg == 'chooseLocation:ok') {
                                            qqMapSdk = new QQMapWX({
                                                key: 'K65BZ-LULE4-744UV-X4EIA-27RA5-A4FWT'
                                            })
                                            qqMapSdk.reverseGeocoder({
                                                location: {
                                                    latitude: data.latitude,
                                                    longitude: data.longitude
                                                },
                                                success: function (mapres) {
                                                    console.log(mapres);
                                                    if (mapres.message == 'query ok') {
                                                        obj.name = mapres.result.formatted_addresses.recommend
                                                        obj.city = mapres.result.address_component.city
                                                        relove(obj)
                                                    }
                                                }
                                            })
                                        }
                                    }
                                });
                            }
                        })
                    }
                },
                fail(err) {
                    reject(err);
                }
            })
        })
    },
    getLocation(details) {
        return new Promise((relove, reject) => {
            qqMapSdk = new QQMapWX({
                key: 'K65BZ-LULE4-744UV-X4EIA-27RA5-A4FWT'
            })
            qqMapSdk.geocoder({
                //获取表单传入地址
                address: details.activedeta.city + details.activedeta.address, //地址参数，例：固定地址，address: '北京市海淀区彩和坊路海淀西大街74号'
                success: function (res) {//成功后的回调
                    console.log(res);
                    relove(res.result)
                },
                fail: function (error) {
                    console.error(error);
                },
                complete: function (res) {
                    console.log(res);
                }
            })
        })
    },
    urlToObj: (url) => {
        let obj = {}
        let str = url.slice(url.indexOf('?') + 1)
        let arr = str.split('&')
        for (let j = arr.length, i = 0; i < j; i++) {
            let arr_temp = arr[i].split('=')
            obj[arr_temp[0]] = arr_temp[1]
        }
        return obj
    },
    uploadFile: (file) => {
        // console.log(file);
        return new Promise((resolve, reject) => {
            uni.showLoading({
                title: '上传中'
            }).then()
            uni.uploadFile({
                url: host + UPLOAD_PATH, //仅为示例，非真实的接口地址
                filePath: file,
                name: 'file',
                success: (uploadFileRes) => {
                    uni.hideLoading()
                    resolve(JSON.parse(uploadFileRes.data).data)
                },
                fail: (err => {
                    reject(err);
                })
            });
        })
    },
    getImgUrl: (url) => {
        if (url) {
            if (url.indexOf('http') === -1) {
                return imgHost + url
            } else {
                return url
            }
        } else {
            return ''
        }

    },
    getImgUrlToHttps: (url) => {
        if (url) {
            if (url.indexOf('https') == -1) {
                console.log(url.replace('http', 'https'))
                return url.replace('http', 'https')
            } else {
                return url
            }
        } else {
            return ''
        }

    },
    /**
     * 失败
     */
    error: (msg) => {

        return new Promise((relove, reject) => {
            uni.showToast({
                title: msg,
                icon: "none"
            })
            setTimeout(() => {
                relove();
            }, 1500)
        })

    },
    /**
     * 成功提示
     */
    success: (msg) => {

        return new Promise((resolve, reject) => {
            uni.showToast({
                title: msg,
                icon: "success"
            })
            setTimeout(() => {
                resolve();
            }, 1500)
        })

    },
    /**
     * 确认对话框
     * @param {Object} contents
     * @param {Object} callback
     */
    confirm: (contents) => {

        return new Promise((relove, reject) => {

            uni.showModal({
                title: '提示',
                content: contents,
                success: function (res) {
                    if (res.confirm) {
                        relove();
                    }
                }
            });

        })

    },
    payment: (param) => {

        return new Promise((relove, reject) => {
            uni.requestPayment({
                provider: 'wxpay',
                timeStamp: param.timeStamp,
                nonceStr: param.nonceStr,
                package: param.package,
                signType: param.signType,
                paySign: param.paySign,
                success: function (res) {
                    relove(res);
                },
                fail: function (err) {
                    console.log(err);

                    api.error("支付失败");
                    reject(err);
                }
            });

        })
    },
    navHeight: () => {
        let system, menu, systemBar, navigationBar, navPaddingTop, navHeight, headerPadding;
        //获取系统信息
        try {
            wx.getSystemInfo({
                success: res => {
                    this.system = res
                }
            })
            // log('res',this.system);
            //获取胶囊信息
            this.menu = wx.getMenuButtonBoundingClientRect()
            this.systemBar = this.system.statusBarHeight //状态栏高度
            this.navigationBar = (this.menu.top - this.system.statusBarHeight) * 2 + this.menu.height //胶囊高度
            this.navPaddingTop = this.systemBar;
            this.navHeight = this.menu.height;
            this.headerPadding = (this.menu.top - this.systemBar);

            this.systemBarHeight = (this.navPaddingTop + this.navHeight + (this.headerPadding * 2))
        } catch (e) {
            //默认高度，刘海屏
            this.navPaddingTop = 43;
            this.navHeight = 32;
            this.headerPadding = 4;
        }
        return {
            navPaddingTop: this.navPaddingTop,
            navHeight: this.navHeight,
            headerPadding: this.headerPadding,
            systemBarHeight: this.systemBarHeight,
            windowHeihgt: (this.system.windowHeight - this.systemBarHeight)
        };
    },
    wxSystemInfo: () => {
        let system;
        //获取系统信息
        try {
            wx.getSystemInfo({
                success: res => {
                    this.system = res
                }
            })
        } catch (e) {

        }
        return {
            system: this.system
        };
    },
    uniSysInfo: (flush = false) => {
        return new Promise((resolve, reject) => {
            if (uni.getStorageSync('sysInfo') && !flush) {
                resolve(uni.getStorageSync('sysInfo'));
            } else {
				//#ifdef MP-WEIXIN
				let menuButtonInfo = uni.getMenuButtonBoundingClientRect();
				// #endif
				//#ifdef APP-PLUS
				let menuButtonInfo = {height:0,top:0};
				// #endif

                let sysInfo = uni.getSystemInfoSync();
                let sysMenuHeight = sysInfo.statusBarHeight;
                let sysWindowHeight = sysInfo.windowHeight;
                let menuButtonHeight = menuButtonInfo.height
                let menuButtonPadding = menuButtonInfo.top - sysMenuHeight;
                let sysAndMenuHeight = sysMenuHeight + 44;// (sysMenuHeight+menuButtonHeight+(menuButtonPadding*2));
                let windowHeight = (sysWindowHeight - sysAndMenuHeight);

                let safeAreaInsetBottom = (sysInfo.safeAreaInsets.bottom);
                let data = {
                    sysMenuHeight: sysMenuHeight,
                    menuButtonHeight: menuButtonHeight,
                    menuButtonPadding: menuButtonPadding,
                    sysAndMenuHeight: sysAndMenuHeight,
                    windowHeight: windowHeight,
                    safeAreaInsetBottom: safeAreaInsetBottom,
                }
                uni.setStorageSync('sysInfo', data);
                resolve(data);
            }

        })
    },
    uploadOssFile: (file) => {
        return new Promise((resolve, reject) => {
            // getSTS({}).then(res => {
            // 	// const client = new OSS(res.data);
            // 	// console.log(file);
            // 	uni.showLoading({
            // 		title:'上传中'
            // 	})
            // 	let timer = new Date();
            // 	let address = timer.getFullYear() + '' + (timer.getMonth() + 1) + '' + timer.getDate();
            // 	address = 'upload/' + address + '/';
            // 	var imageSrc = file;
            // 	let str = file.substr(file.lastIndexOf('.'));
            // 	let nameStr = address + timer.getTime() + str;
            // 	uni.uploadFile({
            // 		url: `${oss}`, //仅为示例，非真实的接口地址
            // 		filePath:file,
            // 		name: 'file',
            // 		header: {
            // 			"content-type": "application/json;charset=utf-8",
            // 		},
            // 		formData:Object.assign({
            // 			name:nameStr,
            // 			key:nameStr,
            // 			success_action_status: '200',
            // 		},res.data),
            // 		success: (uploadFileRes) => {
            // 			uni.hideLoading()
            // 			resolve ({show_path:oss+'/' + nameStr});
            // 			// relove(JSON.parse(uploadFileRes.data).data)
            // 			// console.log(JSON.parse(uploadFileRes.data).data);
            // 		},
            // 		fail:(res) =>{
            // 			uni.hideLoading()
            // 			console.log(res)
            // 			return {};
            // 		}
            // 	});
            // });
        })
    },
    logout: (reLaunch = true, confirm = true) => {
        return new Promise((resolve, reject) => {
            if (confirm) {
                uni.$m.confirm('是否退出登录').then(res => {
                    uni.$m.doLogout(reLaunch)
                    resolve();
                })
            } else {
                uni.$m.doLogout(reLaunch);
                resolve();
            }

        })
    },
    doLogout: (reLaunch = true) => {
        uni.showLoading({title: '退出中'}).then();
            uni.removeStorageSync('token');
            // store.commit('userInfo',{});
            // store.commit('userExtends',{});
        // uni.$m.uniSysInfo().then(() => {
            if (reLaunch) {
                uni.reLaunch({url: INDEX_PATH}).then();
            }
            uni.hideLoading();
        // }).catch(err => {
        //     uni.hideLoading();
        // })
    },
    navTo: (url, token = false) => {
        uni.$m.checkToken(token, () => {
            uni.navigateTo({
                url: url
            }).then();
        });
    },
    navBack: () => {
        uni.navigateBack({
            delta:1,
            success:() => {
                console.log('backSuccess')
            },
            fail: (err) => {
                uni.navigateTo({
                    url: INDEX_PATH
                }).then()
            }
        });
    },
    switchTo: (url, token = false) => {
        uni.$m.checkToken(token, () => {
            uni.switchTab({
                url: url
            }).then();
        });
    },
    redTo: (url, token = false) => {
        uni.$m.checkToken(token, () => {
            uni.redirectTo({
                url: url
            }).then();
        });
    },
    checkToken: (token, callback = ()=>{}) => {
        if (token) {
            if (uni.getStorageSync('token')) {
                callback(true)
            } else {
                uni.navigateTo({
                    url: LOGIN_PATH
                }).then();
            }
        } else {
            callback(true)
        }
    },
    getFileType: (name) => {
        let str = name.substr(name.lastIndexOf('.') + 1).toUpperCase();
        const imageType = ['JPG', 'JPEG', 'PNG', 'GIF', 'BMP', 'TIF', 'TGA', 'DDS', 'SVG', 'EPS', 'RAW', 'PSD'];
        const videoType = ['MP4', 'MOV', 'WMV', 'FLV', 'AVI', 'AVCHD', 'WEBM', 'MKV'];
        if (imageType.indexOf(str) !== -1) {
            return 'image';
        } else if (videoType.indexOf(str) !== -1) {
            return 'video';
        } else {
            return 'none';
        }
    },
    sleep: (time) => {
        return new Promise((resolve, reject) => {
            setTimeout(() => {
                resolve();
            }, time);
        });
    },
    getDomHeight: (domName) => {
        return new Promise((resolve) => {
            uni.$m.sleep(10).then(() => {
                const info = uni.createSelectorQuery().select(domName);
                info.boundingClientRect(function (data) {
                    console.log(data)
                    resolve(data.height);
                }).exec(function (res) {
                });
            });
        })
    },
    isTop: (data) => {
        return data.scrollTop <= 20;
    },
    //设置用户信息
    setUserInfo: (data) => {
        uni.setStorageSync(TOKEN_FIELD, data[TOKEN_FIELD]);
        if(USERINFO_FIELD){
            uni.setStorageSync(USERINFO_FIELD, data[USERINFO_FIELD]);
        }
        if(OTHER_FIELD){
            uni.setStorageSync(OTHER_FIELD, data[OTHER_FIELD]);
        }
        uni.$emit('userInfoUpdate',data[USERINFO_FIELD]);
        store.commit('userInfo', data[USERINFO_FIELD]);
    },
    // 获取用户信息
    getUserInfo: (field = null) => {
        const user = uni.getStorageSync(USERINFO_FIELD);
        return field ? (user[field] || '') : user;
    },
    // 获取token
    getToken: () => {
        return uni.getStorageSync(TOKEN_FIELD);
    },
    //微信网页登录
    wechatWeb: (request, params) => {
        request(params).then(res => {
            uni.$m.setUserInfo(res.data);
            uni.$m.success('登录成功')
            setTimeout(() => {
                if (params.url) {
                    uni.reLaunch({url: params.url}).then();
                } else {
                    uni.reLaunch({url: INDEX_PATH}).then();
                }
            }, 2000)
        });
    },
    setPageInfo: (pageName, data) => {
        let pageInfo = uni.getStorageSync(PAGEINFO_FIELD) || {};
        pageInfo[pageName] = data;
        uni.setStorageSync(PAGEINFO_FIELD, pageInfo);
    },
    getPageInfo: (pageName) => {
        let pageInfo = uni.getStorageSync(PAGEINFO_FIELD) || {};
        return pageInfo[pageName];
    },
    list: (request, lists, pages, status) => {
        return new Promise((resolve, reject) => {
            if (status.value === 'nomore') {
                reject(false);
                return false;
            }
            status.value = 'loading';
            resolve(request(pages).then(res => {
                if (res.data.length === 0) {
                    status.value = 'nomore'
                    return false;
                } else {
                    lists.value = lists.value.concat(res.data)
                    if (res.data.length < parseFloat(pages[LIMIT_FIELD] + '')) {
                        status.value = 'nomore'
                    } else {
                        status.value = 'loadmore'
                    }
                }
                pages.page++;
            }).catch((err) => {
                status.value = 'loadmore'
            }));
        })
    },
    copy: (data) => {
        return new Promise((resolve, reject) => {
            uni.setClipboardData({
                data: data,
                success: function () {
                    resolve();
                },
                fail: function () {
                    reject();
                }
            });
        })
    },
    callPhone: (phone = '') => {
        if (!phone) {
            uni.$m.error('手机号不能为空');
            return false;
        }
        uni.makePhoneCall({
            phoneNumber: phone
        });
    },
    callPosition: (lat, lng,name) => {
        const latitude = parseFloat(lat);
        const longitude = parseFloat(lng);
        uni.openLocation({
            latitude: latitude,
            longitude: longitude,
            name: name,
        })
    },
    getAddressLocation(address) {
        return new Promise((relove, reject) => {
            qqMapSdk = new QQMapWX({
                key: 'K65BZ-LULE4-744UV-X4EIA-27RA5-A4FWT'
            })
            qqMapSdk.geocoder({
                //获取表单传入地址
                address: address, //地址参数，例：固定地址，address: '北京市海淀区彩和坊路海淀西大街74号'
                success: function (res) {//成功后的回调
                    console.log(res);
                    relove(res.result)
                },
                fail: function (error) {
                    console.error(error);
                },
                complete: function (res) {
                    console.log(res);
                }
            })
        })
    },
    async logoutYW(){
        await uni.$m.confirm('确认退出登录?');
        await uni.showLoading({title: '退出中'});
        await uni.removeStorageSync('token');
        uni.hideLoading();
        uni.reLaunch(LOGIN_PATH)

    }
};
