"use strict";
const common_vendor = require("../../../../common/vendor.js");
const config_host = require("../../../../config/host.js");
require("../../../../utils/functions.js");
const api_chat = require("../../../../api/chat.js");
require("../../../../utils/log.js");
require("../../../../utils/qqmap-wx-jssdk.min.js");
require("../../../../api/other.js");
require("../../../../utils/request.js");
const HeaderNav = () => "../../../../components/HeaderNav/Index.js";
const FooterNav = () => "../../../../components/FooterNav/Index.js";
const RightNav = () => "../../../../components/RightNav/Index.js";
const MzButton = () => "../../../../components/MzButton/Index.js";
const _sfc_main = {
  components: {
    HeaderNav,
    FooterNav,
    RightNav,
    MzButton
  },
  data() {
    return {
      title: "Hello",
      loading: true,
      staticImage: {
        screenActiveImg: config_host.imghost + "/static/image/banner.png",
        orderCardBackground: config_host.imghost + "/static/image/order-card-background.png",
        wallpaperBgImage: config_host.imghost + "/static/image/background.png",
        chatBgImage: config_host.imghost + "/static/image/chat-list-background.png",
        chatLTBgImage: config_host.imghost + "/static/image/chat-list-lt-background.png",
        bodyBackground: config_host.imghost + "/static/image/background.png"
      },
      isTop: false,
      chatList: [],
      status: "loadmore",
      page: 1
    };
  },
  mounted() {
    this.getChatList();
  },
  methods: {
    chatDetail(item) {
      common_vendor.index.navigateTo({
        url: "/pages/ChatDetail/index?id=" + item.id
      });
    },
    getChatList() {
      if (this.status === "nomre") {
        return false;
      }
      this.status = "loading";
      api_chat.chatList(this.page, this.$store.state.userInfo.store_id > 0).then((res) => {
        this.chatList.push.apply(this.chatList, res.data);
        if (res.data.length === 0) {
          this.status = "nomore";
        } else {
          this.status = "loadmore";
        }
        this.page++;
      });
    }
  },
  onReachBottom() {
    this.getChatList();
  },
  onPageScroll(res) {
    if (res.scrollTop <= 20) {
      common_vendor.index.$emit("isTop", true);
    } else {
      common_vendor.index.$emit("isTop", false);
    }
  },
  created() {
  }
};
if (!Array) {
  const _easycom_u_loadmore2 = common_vendor.resolveComponent("u-loadmore");
  _easycom_u_loadmore2();
}
const _easycom_u_loadmore = () => "../../../../uni_modules/uview-plus/components/u-loadmore/u-loadmore.js";
if (!Math) {
  _easycom_u_loadmore();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: "url(" + $data.staticImage.bodyBackground + ")",
    b: common_vendor.f($data.chatList, (item, k0, i0) => {
      return {
        a: item.avatar,
        b: common_vendor.t(item.name),
        c: common_vendor.t(item.create_time),
        d: common_vendor.t(item.info),
        e: common_vendor.o(($event) => $options.chatDetail(item))
      };
    }),
    c: "url(" + $data.staticImage.chatLTBgImage + ")",
    d: "url(" + $data.staticImage.chatBgImage + ")",
    e: common_vendor.o(($event) => $options.getChatList()),
    f: common_vendor.p({
      status: $data.status,
      fontSize: "28",
      color: "#ACB4B6",
      line: true,
      ["line-color"]: "#ACB4B6",
      marginBottom: "30",
      marginTop: "30"
    })
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/pages/Index/components/ChatPage/Index.vue"]]);
wx.createComponent(Component);
