"use strict";
const common_vendor = require("../../../../common/vendor.js");
const config_host = require("../../../../config/host.js");
const utils_functions = require("../../../../utils/functions.js");
require("../../../../utils/log.js");
require("../../../../utils/qqmap-wx-jssdk.min.js");
require("../../../../api/other.js");
require("../../../../utils/request.js");
const _sfc_main = {
  data: {
    title: "Hello",
    loading: true,
    staticImage: {
      hiImage: config_host.imghost + "/static/image/index-user-title-hi.png",
      dogImage: config_host.imghost + "/static/image/index-user-title-dog.png",
      couponsImage: config_host.imghost + "/static/image/index-user-coupons-background.png",
      indexButtonGroup: [
        {
          backgroundImage: config_host.imghost + "/static/image/index-button-one.png",
          serviceImage: config_host.imghost + "/static/image/index-button-bg-one.png",
          buttonImage: config_host.imghost + "/static/image/index-button-bg-btn-one.png",
          url: "/pages/OrderPage/index"
        },
        {
          backgroundImage: config_host.imghost + "/static/image/index-button-two.png",
          serviceImage: config_host.imghost + "/static/image/index-button-bg-two.png",
          buttonImage: config_host.imghost + "/static/image/index-button-bg-btn-two.png",
          url: "/pages/Card/index"
        },
        {
          backgroundImage: config_host.imghost + "/static/image/index-button-three.png",
          serviceImage: config_host.imghost + "/static/image/index-button-bg-three.png",
          buttonImage: config_host.imghost + "/static/image/index-button-bg-btn-three.png",
          url: "/pages/UserCoupons/index"
        },
        {
          backgroundImage: config_host.imghost + "/static/image/index-button-four.png",
          serviceImage: config_host.imghost + "/static/image/index-button-bg-four.png",
          buttonImage: config_host.imghost + "/static/image/index-button-bg-btn-four.png",
          url: "/pages/Draw/index"
        }
      ],
      wallpaperBgImage: config_host.imghost + "/static/image/background.png"
    },
    indexBanner: [
      {
        image: config_host.imghost + "/static/image/banner.png",
        url: ""
      }
    ],
    user: {
      avatar: config_host.imghost + "/static/image/banner.png",
      nickname: "清晨的风",
      coupon_count: 221,
      id: 88685
    },
    isTop: false,
    pagePadding: 100,
    userInfo: {},
    userExtends: {}
  },
  onLoad() {
  },
  methods: {
    userCouponsPage() {
      common_vendor.index.navigateTo({
        url: "/pages/UserCoupons/index"
      });
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    updateUserInfo() {
      if (this.userInfo) {
        this.user.id = this.userInfo.id;
        this.user.nickname = this.userInfo.name;
        this.user.avatar = this.userInfo.avatar;
        this.user.coupon_count = this.userExtends.coupon_count;
      }
    }
  },
  onPageScroll(res) {
    if (res.scrollTop <= 20) {
      common_vendor.index.$emit("isTop", true);
    } else {
      common_vendor.index.$emit("isTop", false);
    }
  },
  created() {
    this.pagePadding = utils_functions.api.navHeight().navPaddingTop + utils_functions.api.navHeight().navHeight + utils_functions.api.navHeight().headerPadding * 2;
  },
  mounted() {
    console.log("userInfo", this.$store.state.userInfo);
    this.userInfo = this.$store.state.userInfo;
    this.userExtends = this.$store.state.userExtends;
  },
  updated() {
  },
  watch: {
    "$store.state.userInfo": {
      handler(newVal, oldVal) {
        this.userInfo = newVal;
        console.log("vuexUserInfo", this.userInfo);
        this.updateUserInfo();
      }
    },
    "$store.state.userExtends": {
      handler(newVal, oldVal) {
        this.userExtends = newVal;
        this.updateUserInfo();
      }
    }
  }
};
if (!Array) {
  const _easycom_u_swiper2 = common_vendor.resolveComponent("u-swiper");
  const _easycom_u_text2 = common_vendor.resolveComponent("u-text");
  (_easycom_u_swiper2 + _easycom_u_text2)();
}
const _easycom_u_swiper = () => "../../../../uni_modules/uview-plus/components/u-swiper/u-swiper.js";
const _easycom_u_text = () => "../../../../uni_modules/uview-plus/components/u-text/u-text.js";
if (!Math) {
  (_easycom_u_swiper + _easycom_u_text)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.p({
      height: "600",
      list: _ctx.indexBanner,
      keyName: "image"
    }),
    b: _ctx.userInfo.name
  }, _ctx.userInfo.name ? {
    c: _ctx.user.avatar,
    d: _ctx.staticImage.hiImage,
    e: common_vendor.p({
      text: _ctx.user.nickname,
      color: "#131313",
      size: "30",
      ["custom-style"]: "display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 1;overflow: hidden;max-width:200rpx;"
    }),
    f: _ctx.staticImage.dogImage,
    g: common_vendor.t(_ctx.user.id),
    h: common_vendor.t(_ctx.userExtends.coupon_count),
    i: common_vendor.o(($event) => $options.userCouponsPage()),
    j: "url(" + _ctx.staticImage.couponsImage + ")"
  } : {}, {
    k: common_vendor.f(_ctx.staticImage.indexButtonGroup, (item, index, i0) => {
      return {
        a: item.serviceImage,
        b: item.buttonImage,
        c: "url(" + item.backgroundImage + ")",
        d: common_vendor.o(($event) => $options.navTo(item.url))
      };
    }),
    l: "url(" + _ctx.staticImage.wallpaperBgImage + ")"
  });
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/pages/Index/components/HomePage/Index.vue"]]);
wx.createComponent(Component);
