"use strict";
const common_vendor = require("../../../../common/vendor.js");
const config_host = require("../../../../config/host.js");
const utils_functions = require("../../../../utils/functions.js");
const api_order = require("../../../../api/order.js");
require("../../../../utils/log.js");
require("../../../../utils/qqmap-wx-jssdk.min.js");
require("../../../../api/other.js");
require("../../../../utils/request.js");
const HeaderNav = () => "../../../../components/HeaderNav/Index.js";
const FooterNav = () => "../../../../components/FooterNav/Index.js";
const RightNav = () => "../../../../components/RightNav/Index.js";
const MzButton = () => "../../../../components/MzButton/Index.js";
const _sfc_main = {
  components: {
    HeaderNav,
    FooterNav,
    RightNav,
    MzButton
  },
  computed: {
    topStyle() {
      return common_vendor.index.getStorageSync("sysInfo").sysAndMenuHeight + "px";
    }
  },
  data() {
    return {
      title: "Hello",
      loading: true,
      status: "loadmore",
      screenCheck: "",
      screenMenu: [
        {
          name: "全部",
          value: ""
        },
        {
          name: "待服务",
          value: "0"
        },
        {
          name: "已完成",
          value: "2"
        }
      ],
      dateSelectData: [
        { title: "全部", value: 0 },
        { title: "今天", value: 1 },
        { title: "明天", value: 2 }
      ],
      staticImage: {
        screenActiveImg: config_host.imghost + "/static/image/order-screen-active.png",
        orderCardBackground: config_host.imghost + "/static/image/order-card-background.png",
        wallpaperBgImage: config_host.imghost + "/static/image/background.png"
      },
      indexBanner: [{
        image: config_host.imghost + "/static/image/banner.png",
        url: ""
      }],
      user: {
        avatar: config_host.imghost + "/static/image/banner.png",
        nickname: "清晨的风",
        coupons: 221,
        id: 88685
      },
      isTop: false,
      pagePadding: 100,
      petImage: config_host.imghost + "/static/image/pet_avatar1.jpeg",
      orderList: [],
      dayActive: 0,
      statusActive: 1,
      page: 1,
      start_time: "",
      end_time: ""
    };
  },
  onLoad() {
  },
  methods: {
    selectScreen(item) {
      this.screenCheck = item.value;
      this.page = 1;
      this.status = "loadmore";
      this.orderList = [];
      this.getOrderList();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    getOrderList(filter = {
      status: "",
      start_time: this.start_time,
      end_time: this.end_time
    }) {
      filter.is_worker = 1;
      filter.page = this.page++;
      filter.limit = 5;
      if (this.screenCheck !== "") {
        filter.status = this.screenCheck;
      }
      if (this.status === "nomore") {
        return;
      }
      this.status = "loading";
      api_order.getOrderList(filter).then((data) => {
        if (filter.page === 1) {
          this.orderList = data.data;
        } else {
          this.orderList.push(...data.data);
        }
        this.status = data.data.length < filter.limit ? "nomore" : "loadmore";
      });
    },
    dayActiveToggle(date) {
      this.dayActive = date.value;
      this.page = 1;
      this.orderList = [];
      this.status = "loadmore";
      let currentTime = (/* @__PURE__ */ new Date()).getTime();
      let unitDay = 864e5;
      let today = common_vendor.index.$u.timeFormat(currentTime, "yyyy-mm-dd");
      let tomorrow = common_vendor.index.$u.timeFormat(currentTime + unitDay, "yyyy-mm-dd");
      let acquired = common_vendor.index.$u.timeFormat(currentTime + unitDay * 2, "yyyy-mm-dd");
      this.start_time = ["", today, tomorrow][date.value];
      this.end_time = ["", tomorrow, acquired][date.value];
      this.getOrderList();
    }
  },
  onPageScroll(res) {
    if (res.scrollTop <= 20) {
      common_vendor.index.$emit("isTop", true);
    } else {
      common_vendor.index.$emit("isTop", false);
    }
  },
  mounted() {
    this.getOrderList();
  },
  created() {
    this.pagePadding = utils_functions.api.navHeight().navPaddingTop + utils_functions.api.navHeight().navHeight + utils_functions.api.navHeight().headerPadding * 2;
  }
};
if (!Array) {
  const _component_MzButton = common_vendor.resolveComponent("MzButton");
  const _easycom_u_loadmore2 = common_vendor.resolveComponent("u-loadmore");
  (_component_MzButton + _easycom_u_loadmore2)();
}
const _easycom_u_loadmore = () => "../../../../uni_modules/uview-plus/components/u-loadmore/u-loadmore.js";
if (!Math) {
  _easycom_u_loadmore();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.screenMenu, (item, index, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: item.value === $data.screenCheck ? 1 : "",
        c: common_vendor.o(($event) => $options.selectScreen(item))
      };
    }),
    b: common_vendor.f($data.dateSelectData, (date, index, i0) => {
      return {
        a: common_vendor.t(date.title),
        b: common_vendor.o(($event) => $options.dayActiveToggle(date)),
        c: $data.dayActive === date.value ? 1 : ""
      };
    }),
    c: $data.staticImage.screenActiveImg,
    d: $options.topStyle,
    e: common_vendor.f($data.orderList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.addr),
        b: common_vendor.f(item.services, (server, i, i1) => {
          return {
            a: common_vendor.t(server)
          };
        }),
        c: common_vendor.t(item.do_date),
        d: common_vendor.t(item.do_time),
        e: common_vendor.t(item.create_time),
        f: "af232100-0-" + i0,
        g: common_vendor.o(($event) => $options.navTo("/pages/ChatDetail/index?id=" + item.id)),
        h: "af232100-1-" + i0,
        i: common_vendor.o(($event) => $options.navTo("/pages/FeedLog/index?pet_id=" + item.pet_id))
      };
    }),
    f: $data.petImage,
    g: common_vendor.p({
      title: "立即沟通",
      ["font-color"]: "#3E3221",
      ["button-color"]: "#F7E1C3",
      ["button-width"]: "255rpx"
    }),
    h: common_vendor.p({
      title: "喂养档案",
      ["font-color"]: "#FFFFFF",
      ["button-color"]: "#4DC3B8",
      ["button-width"]: "255rpx"
    }),
    i: "url(" + $data.staticImage.orderCardBackground + ")",
    j: common_vendor.o(($event) => $options.getOrderList()),
    k: common_vendor.p({
      status: $data.status,
      fontSize: "28",
      color: "#ACB4B6",
      line: true,
      ["line-color"]: "#ACB4B6",
      marginBottom: "30",
      marginTop: "30"
    }),
    l: "url(" + $data.staticImage.wallpaperBgImage + ")"
  };
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/pages/Index/components/OrderPage/Index.vue"]]);
wx.createComponent(Component);
