"use strict";
const common_vendor = require("../../../../common/vendor.js");
const config_host = require("../../../../config/host.js");
const utils_functions = require("../../../../utils/functions.js");
const api_user = require("../../../../api/user.js");
const utils_log = require("../../../../utils/log.js");
const config_UserCache = require("../../../../config/UserCache.js");
require("../../../../utils/qqmap-wx-jssdk.min.js");
require("../../../../api/other.js");
require("../../../../utils/request.js");
const HeaderNav = () => "../../../../components/HeaderNav/Index.js";
const FooterNav = () => "../../../../components/FooterNav/Index.js";
const RightNav = () => "../../../../components/RightNav/Index.js";
const _sfc_main = {
  components: {
    HeaderNav,
    FooterNav,
    RightNav
  },
  data() {
    return {
      title: "Hello",
      loading: true,
      staticImage: {
        hiImage: config_host.imghost + "/static/image/index-user-title-hi.png",
        couponsImage: config_host.imghost + "/static/image/user-coupons.png",
        bodyBackground: config_host.imghost + "/static/image/user-background.png",
        bodyShadow: config_host.imghost + "/static/image/user-detail-background.png",
        informationTitle: config_host.imghost + "/static/image/user-information-title.png",
        babyTitle: config_host.imghost + "/static/image/user-baby-title.png",
        bigTitle: config_host.imghost + "/static/image/user-big-title.png",
        moreTitle: config_host.imghost + "/static/image/user-more-title.png",
        gun1: config_host.imghost + "/static/image/user-gun-1.png",
        gun2: config_host.imghost + "/static/image/user-gun-2.png",
        information: {
          pet: config_host.imghost + "/static/image/user-information-pet.png",
          info: config_host.imghost + "/static/image/user-information-info.png",
          feed: config_host.imghost + "/static/image/user-information-feed.png"
        },
        baby: {
          wait: config_host.imghost + "/static/image/user-baby-wait.png",
          end: config_host.imghost + "/static/image/user-baby-end.png",
          shopCar: config_host.imghost + "/static/image/user-shop-car.png"
        },
        big: {
          wait: config_host.imghost + "/static/image/user-big-wait.png",
          end: config_host.imghost + "/static/image/user-big-end.png"
        },
        more: {
          online: config_host.imghost + "/static/image/user-more-online.png",
          privacy: config_host.imghost + "/static/image/user-more-privacy.png",
          feedback: config_host.imghost + "/static/image/user-more-feedback.png",
          about: config_host.imghost + "/static/image/user-more-about.png"
        }
      },
      user: {
        avatar: "",
        nickname: "",
        coupon_count: 0,
        id: 0,
        feed_count: 0
      },
      isTop: false,
      pagePadding: 100,
      userInfo: {},
      userExtends: {}
    };
  },
  methods: {
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    userDetail() {
      common_vendor.index.navigateTo({
        url: "/pages/UserDetail/index"
      });
    },
    orderPage(type, is_buy) {
      common_vendor.index.navigateTo({
        url: `/pages/UserOrderPage/index?type=${type}&is_buy=${is_buy}`
      });
    },
    showNumber() {
      api_user.userExtends().then((data) => {
        utils_log.log(data);
        this.userExtends = data.data;
        this.$store.commit("userExtends", config_UserCache.UserCache.extSetAndReturn(data.data));
      });
    },
    userCouponsPage() {
      common_vendor.index.navigateTo({
        url: "/pages/UserCoupons/index"
      });
    },
    updateUserInfo() {
      if (this.userInfo) {
        this.user.id = this.userInfo.id;
        this.user.nickname = this.userInfo.name;
        this.user.avatar = this.userInfo.avatar;
        this.user.coupon_count = this.userExtends.coupon_count;
      }
    },
    showUserInfo() {
      api_user.userDetail().then((res) => {
        this.$store.commit("userInfo", config_UserCache.UserCache.setAndReturn(res.data));
      });
    }
  },
  mounted() {
    this.showUserInfo();
    this.showNumber();
  },
  created() {
    this.pagePadding = utils_functions.api.navHeight().navPaddingTop + utils_functions.api.navHeight().navHeight + utils_functions.api.navHeight().headerPadding * 2;
  },
  watch: {
    "$store.state.userInfo": {
      handler(newVal, oldVal) {
        this.userInfo = newVal;
        this.updateUserInfo();
      }
    },
    "$store.state.userExtends": {
      handler(newVal, oldVal) {
        this.userExtends = newVal;
        this.updateUserInfo();
      }
    }
  }
};
if (!Array) {
  const _easycom_u_avatar2 = common_vendor.resolveComponent("u-avatar");
  const _easycom_u_text2 = common_vendor.resolveComponent("u-text");
  (_easycom_u_avatar2 + _easycom_u_text2)();
}
const _easycom_u_avatar = () => "../../../../uni_modules/uview-plus/components/u-avatar/u-avatar.js";
const _easycom_u_text = () => "../../../../uni_modules/uview-plus/components/u-text/u-text.js";
if (!Math) {
  (_easycom_u_avatar + _easycom_u_text)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: "url(" + ($data.userInfo.background_image ? $data.userInfo.background_image : $data.staticImage.bodyBackground) + ")",
    b: "url(" + $data.staticImage.bodyShadow + ")",
    c: common_vendor.p({
      src: $data.user.avatar,
      size: "90"
    }),
    d: common_vendor.o((...args) => $options.userDetail && $options.userDetail(...args)),
    e: $data.user.nickname
  }, $data.user.nickname ? {
    f: $data.staticImage.hiImage,
    g: common_vendor.t($data.user.nickname),
    h: common_vendor.t($data.user.coupon_count),
    i: "url(" + $data.staticImage.couponsImage + ")",
    j: common_vendor.o(($event) => $options.userCouponsPage()),
    k: common_vendor.t($data.user.id)
  } : {
    l: common_vendor.o(($event) => $options.navTo("/pages/Login/index")),
    m: common_vendor.p({
      text: "登录",
      size: "32",
      ["custom-style"]: "margin-left:30rpx;"
    })
  }, {
    n: $data.staticImage.gun1,
    o: $data.staticImage.informationTitle,
    p: $data.staticImage.information.pet,
    q: common_vendor.t($data.userExtends.pet_count),
    r: common_vendor.o(($event) => $options.navTo("/pages/Pet/index")),
    s: $data.staticImage.information.info,
    t: common_vendor.t($data.userExtends.address_count),
    v: common_vendor.o(($event) => $options.navTo("/pages/Addr/index")),
    w: $data.staticImage.information.feed,
    x: common_vendor.t($data.userExtends.feed_count),
    y: $data.staticImage.gun2,
    z: $data.staticImage.babyTitle,
    A: $data.staticImage.baby.shopCar,
    B: common_vendor.t($data.userExtends.order_count),
    C: $data.staticImage.baby.wait,
    D: common_vendor.o(($event) => $options.orderPage(0, 1)),
    E: $data.staticImage.baby.end,
    F: common_vendor.o(($event) => $options.orderPage(2, 1)),
    G: $data.staticImage.gun2,
    H: $data.staticImage.bigTitle,
    I: $data.staticImage.big.wait,
    J: common_vendor.o(($event) => $options.orderPage(0, 2)),
    K: $data.staticImage.big.end,
    L: common_vendor.o(($event) => $options.orderPage(2, 2)),
    M: $data.staticImage.gun2,
    N: $data.staticImage.moreTitle,
    O: $data.staticImage.more.online,
    P: $data.staticImage.more.privacy,
    Q: common_vendor.o(($event) => $options.navTo("/pages/PrivacyPolicy/PrivacyPolicy")),
    R: $data.staticImage.more.feedback,
    S: $data.staticImage.more.about,
    T: common_vendor.o(($event) => $options.navTo("/pages/AboutUs/AboutUs")),
    U: "url(" + $data.staticImage.wallpaperBgImage + ")"
  });
}
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/pet_uni/pages/Index/components/UserPage/Index.vue"]]);
wx.createComponent(Component);
